WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
winstd::window_dc Class Reference
GDI API

Device context wrapper class. More...

`#include <WinStd/GDI.h>`

Inheritance diagram for winstd::window_dc:

## Public Member Functions
| window_dc () noexcept
| Initializes an empty device context.
| window_dc (handle_type h, HWND hwnd) noexcept
| Initializes a device context from existing data.
| window_dc (window_dc &&h) noexcept
| Move an existing device context.
window_dc & | operator= (window_dc &&h) noexcept
| Copy an existing device context.
virtual | ~window_dc ()
| Releases a device context (DC), freeing it for use by other applications.
Public Member Functions inherited from winstd::handle< HDC, NULL >
| handle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| handle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle.
| handle (handle< handle_type, INVAL > &&h) noexcept
| Move constructor.
handle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle.
handle< handle_type, INVAL > & | operator= (handle< handle_type, INVAL > &&h) noexcept
| Move assignment.
| operator handle_type () const
| Auto-typecasting operator.
handle_type *& | operator* () const
| Returns the object handle value when the object handle is a pointer to a value (class, struct, etc.).
handle_type * | operator& ()
| Returns the object handle reference.
handle_type | operator-> () const
| Provides object handle member access when the object handle is a pointer to a class or struct.
bool | operator! () const
| Tests if the object handle is invalid.
bool | operator< (handle_type h) const
| Is handle less than?
bool | operator<= (handle_type h) const
| Is handle less than or equal to?
bool | operator>= (handle_type h) const
| Is handle greater than or equal to?
bool | operator> (handle_type h) const
| Is handle greater than?
bool | operator!= (handle_type h) const
| Is handle not equal to?
bool | operator== (handle_type h) const
| Is handle equal to?
void | attach (handle_type h) noexcept
| Sets a new object handle for the class.
handle_type | detach ()
| Dismisses the object handle from this class.
void | free ()
| Destroys the object.

## Protected Member Functions
void | free_internal () noexcept override
| Releases a device context (DC), freeing it for use by other applications.

## Protected Attributes
HWND | m_hwnd
| Window handle.
Protected Attributes inherited from winstd::handle< HDC, NULL >
handle_type | m_h
| Object handle.

## Additional Inherited Members
Public Types inherited from winstd::handle< HDC, NULL >
typedef HDC | handle_type
| Datatype of the object handle this template class handles.
Static Public Attributes inherited from winstd::handle< HDC, NULL >
static const HDC | invalid
| Invalid handle value.

## Detailed Description

Device context wrapper class.

## Constructor & Destructor Documentation

## ◆ ~window_dc()

virtual winstd::window_dc::~window_dc | ( |  | ) |
| inline virtual

Releases a device context (DC), freeing it for use by other applications.

See also
  ReleaseDC function

## Member Function Documentation

## ◆ free_internal()

void winstd::window_dc::free_internal | ( |  | ) |
| inline override protected virtual noexcept

Releases a device context (DC), freeing it for use by other applications.

See also
  ReleaseDC function

Implements winstd::handle< HDC, NULL >.

The documentation for this class was generated from the following file:

- include/WinStd/GDI.h